makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.visagetechnologies.makeupsdk.FilterParameterTemplate Class Reference

## Public Member Functions
JSONObject | ToJSON ()

## Static Public Member Functions
static FilterParameterTemplate | FromJSON (JSONObject jsonObject)

## Public Attributes
String | name
String | value
String | type

## Detailed Description

Contains filter parameter information. Filter parameter is specified by the following:

- name: name of the parameter to set
- type: type of the parameter. The system currently supports floating point and texture types. Type defines how the given value will be parsed and represented.
- value: value of the parameter. Value is provided as a string, regardless of type. Texture inputs are given by name of the texture. Currently the only supported texture inputs are a custom mask names defined in PipeTemplate object. Provides methods for serialization and deserialization of FilterParameterTemplate instances from JSON format.

## Member Function Documentation

## ◆ FromJSON()

static FilterParameterTemplate com.visagetechnologies.makeupsdk.FilterParameterTemplate.FromJSON | ( | JSONObject | jsonObject | ) |
| inline static

Deserializes FilterParameterTemplate object from JSON representation

Parameters

  jsonObject | JSON object

Returns
  deserialized FilterParameterTemplate object

## ◆ ToJSON()

JSONObject com.visagetechnologies.makeupsdk.FilterParameterTemplate.ToJSON | ( |  | ) |
| inline

Returns JSON object out of this FilterParameterTemplate object

Returns
  JSON representation of this FilterParameterTemplate returned JSONObject

## Member Data Documentation

## ◆ name

String com.visagetechnologies.makeupsdk.FilterParameterTemplate.name

Name of the input parameter.

## ◆ type

String com.visagetechnologies.makeupsdk.FilterParameterTemplate.type

Type of the input parameter.

## ◆ value

String com.visagetechnologies.makeupsdk.FilterParameterTemplate.value

Value of the input parameter.